open Printf

(** Power up sequence
    http://bgb.bircd.org/pandocs.htm#powerupsequence *)
let power_up cartridge =
  (** Nintendo logo scrolling *)
  if not (Cartridge.check_nintendo_logo cartridge)
  then print_endline "Invalid ROM."
  else
    print_endline "Valid ROM.";
    printf "ROM size: %iKB\n" cartridge.rom_size


let () =
  if Array.length Sys.argv < 2
  then print_endline "Please specify a ROM.";

  let cartridge = Cartridge.read_cartridge Sys.argv.(1) in
  match cartridge with
  | None -> print_endline "Invalid ROM file."
  | Some c -> power_up c
